Subject: Re: [PATCH 10/14] rust: add a build.rs script for tests

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Oct 2025 16:12:05 -0700

Ezekiel Newren <[email-masked]> writes:

>> Hmm, I recall Ezekiel earlier arguing to roll reftable and xdiff
>> libraries into libgit.a as it is a lot more cumbersome to have to
>> link with multiple libraries (sorry, I may be misremembering and do
>> not have reference handy), but if the above is all it takes to link
>> with these, perhaps it is not such a huge deal?
>
> I think Brian might have written this before my series was merged in.
> ...
>> I am a bit confused.
>>
>> XDIFF_LIB and REFTABLE_LIB are gone from Makefile on 'master'
>> already.  Perhaps we should revert earlier series from him?
> ...
> I don't think we should revert my series.

The order of events does not really matter, does it?

If we can happily link with more than one libraries [*], it would
give us a much more pleasant developer experience than having to
roll everything into a single library archive, no?  Or are you
saying that the way this series links these multiple libraries
somehow does not work?

You somehow manged to confuse me even more ... X-<.